S2R(1)

NAME

s2r - Process mapping from symbolic layout to physical layout

SYNOPSIS

s2r [-tc1rv] source [result]

DESCRIPTION
The goal of s2r is to perform the translation from the symbolic layout to physical layout for the foundry. s2r uses a technolgy file whose name is defined by the environnement variable RDS_TECHNO_NAME.
Some cells, like I/O pads, are specific to a given foundry. In the symbolic methodology, these cells are phantom cells. It means that only their abutment box and and connectors are present. s2r wil substitute physical cells to the symbolic phamtom cells. Beware, this implies that the manufacturer cells must be modified by hand to ensure the abutment box is a symbolic grid step multiple, and that the real connectors are centered on symbolic grid.
In order for the replacement to work well, the physicals cells must have the abutment box lower left corner at coordinate (0,0) The name of cells to be replaced are written in the catalog file with the G attribute, see catal(5) for details on that file. See also ring(1) for more on pads. Ouput can be generated in either cif or gds formats, to fit the manufacturer requirements.

Mainly two kinds of users are concerned with s2r :

experts
    they should be able to parametrize the technology file for a new process technology file is described in techno(5).

designers
    they are not directly concerned with the target process, but need to be able to compute real capacitances for simulation.

The source argument is the name of the symbolic layout file to be translated. The optional result argument indicates the name to be given to the real layout output. This name is also the name of the top level model of the layout hierarchy. If result name is omitted, then source name is used.

Six environment variables must be set for proper usage of s2r, all of them having default values, thus ensuring the possibility of using it ``as it is''.

MBK_IN_PH
    The input format for symbolic layout is given by this environment variable. The possible values are cp, ap. Default is cp. See MBK_IN_PH(1) for details.

MBK_CATA_LIB
    Sets the directories that are to be searched thru for reading files. The seaching mecanism first look in MBK_WORK_LIB(1) MBK_WORK_LIB defines the path where the generated file is saved. Make sure the write permissions are set up correctly, otherwise no save will occur.

MBK_CATAL_NAME
    This indicates the name of the catalog file used for pad substitution. For the appropriate syntax of this file, see catal(5).

RDS_IN
    Defines the format to be used as input for cell substitution. The available ones are cif and gds (default one). The cells to be parsed must not containt 45 degrees wires. If an unknown layer is encountered, the entire cell will be skipped.

RDS_OUT
    Gives the format of the output file. This may be either cif or gds (default is gds).

RDS_TECHNO_NAME
    This points to the technology file to be used for symbolic to real translation. This file is in general shared between all the designers. it is the full path name to the file location, with the extension.

OPTIONS
Without option, s2r should produce a layout that fits for the foundry. Nevertheless, its behaviour can be modified when invoked with the following options:

-t  Suppress the denotching phase. s2r performs gap filling, denotching in order to avoid DRC errors. This operation is time consuming. It is mandatory for the foundry but not really useful for capacitance evaluation.

-c  Deletes connectors and node names at all hierarchy level. Theses objects link the physical view and the logical view of a chip. If simulation is to be done after physical mapping, connectors must appear, so that the extractors and simulators can use them. This must not be used when preparing a final layout for the foundry.
    For the factory, the top level connectors are forbidden, since they do not represent any physical reality.

-1  Creates the top level cell with the instances as black boxes. This may be useful for hierarchical extractors, since the file size may be greatly reduced.

-r  does not replace black boxes. Cells flagged with the G attribute in the catal(5) file will not be replaced by their equivalent layout loaded from disk.

-v  verbose mode on.

EXAMPLES
    You should first have a correct execution environment :
    It is recommanded to put it in the ``.cshrc'' file if in c shell, as in the example below.